
Redmine - Feature #6708

Change owner when change status

2010-10-20 16:09 - Fabio Ginzel

Status: Closed Start date: 2010-10-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I thought of the possibility of changing the owner of the issue automatically when changed her status.

Related issues:

Is duplicate of Redmine - Feature #3517: Assign an issue to person based on t... New 2009-06-19

History

#1 - 2010-10-22 22:30 - Jean-Philippe Lang

Request is too vague. What does "automatically" means?

#2 - 2010-10-31 23:51 - Fabio Ginzel

Jean-Philippe Lang wrote:

Request is too vague. What does "automatically" means?

 I think that should be configurable at the workflow

#3 - 2010-11-01 01:01 - Terence Mill

There is the category field which shall be used set to set an owner. (eg if you mean a guy who has to care for resolving the ticket)

Why shall status relate to an owner directly? That doesn't make any sense to me.

If you want a an owner to be set together with a defined status, the feature request shall look more like this.

"Set required ticket fields dependent onstatus", eg. you could define a status which makes the category (aka the "owner") required to be set or you

can make a custom field "owner" (whatever that defines) set to required when someone set status to defined value.

That would nee the be able to set mandatory and optional fields for every tracker and every status, doesn' it?

#4 - 2010-11-01 01:17 - Fabio Ginzel

Terence Mill wrote:

There is the category field which shall be used set to set an owner. (eg if you mean a guy who has to care for resolving the ticket)

Why shall status relate to an owner directly? That doesn't make any sense to me.

If you want a an owner to be set together with a defined status, the feature request shall look more like this.

"Set required ticket fields dependent onstatus", eg. you could define a status which makes the category (aka the "owner") required to be set or

you can make a custom field "owner" (whatever that defines) set to required when someone set status to defined value.

That would nee the be able to set mandatory and optional fields for every tracker and every status, doesn' it?

 In my company, after the ticket is resolved it will go to a test team.

What I wanted was to change when the status to "testing", it automatically changed the owner responsible for the tests.

Sorry about my english

#5 - 2010-12-01 22:23 - Ben Cochran

+1

Think he means change the assignee as opposed to owner.
This is a fairly common itch to scratch, as larger groups and organizations have dedicated testing teams and issues/problems that are resolved

should be assigned to a particular user, or a group of users when the status changes.

Other tracking systems seem to be implementing a function which can do items like change the assignee, send an e-mail notification, etc. after state

changes.

I like the way the global workflows work, but I think items like this should be implemented/overridden  on a project basis by role.  Since currently

assignment to groups (#2964) isn't possible yet you could assign a lead for each role for these types of state transitions.

#6 - 2011-05-27 15:45 - Etienne Massip

- Category changed from Issues to Issues workflow

#7 - 2013-01-12 18:19 - Daniel Felix

- Status changed from New to Closed

- Resolution set to Duplicate

This seems to be a duplicate of #3517. I'm closing it.
